> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Assets to Account

> Add Assets to Account using the data provided in the request body.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/accounts/{id}/assets
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/accounts/{id}/assets:
    post:
      tags:
        - Accounts
      summary: Add Assets to Account
      description: Add Assets to Account using the data provided in the request body.
      operationId: AccountsController_createAccountAssets
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              description: List of account Assets
              items:
                oneOf:
                  - $ref: '#/components/schemas/AccountAssetStandaloneDto'
                    title: Standalone Account Assets
                  - $ref: '#/components/schemas/AccountAssetUtilaDto'
                    title: Utila Account Assets
                  - $ref: '#/components/schemas/AccountAssetDfnsDto'
                    title: Dfns Account Assets
      responses:
        '201':
          description: Successfully created account Assets data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountAssetEntity'
        '400':
          description: The account Assets data is invalid or incomplete.
        '404':
          description: The Account with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    AccountAssetStandaloneDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
          description: The blockchain address for the account
          example: '0xE79a68B87544ed42Cc5aA805bb056201e7942D3A'
      required:
        - asset
        - address
    AccountAssetUtilaDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
      required:
        - asset
    AccountAssetDfnsDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
        dfnsWalletId:
          type: string
          minLength: 25
          maxLength: 50
          description: The Dfns wallet ID associated with the account
          example: wa-7jesf-pmt6i-92lbukigvpvahmki
      required:
        - asset
        - dfnsWalletId
    AccountAssetEntity:
      type: object
      properties:
        id:
          type: string
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
      required:
        - id
        - asset
        - address
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````